# Get Activity Execution Outputs

Retrieve output values for a specific activity execution

Endpoint: GET /rmg/api/orchestration/execution/release/{releaseId}/phase/{phaseIdentifier}/activity/{activityIdentifier}/output
Version: 1.0
Security: x-api-key

## Path parameters:

  - `releaseId` (string, required)
    The ID of the release

  - `phaseIdentifier` (string, required)
    The identifier of the phase

  - `activityIdentifier` (string, required)
    The identifier of the activity

## Query parameters:

  - `activityExecutionId` (string)
    The ID of the activity execution

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Response 200 fields (application/json):

  - `outputs` (array, required)
    List of output values for the phase execution

  - `outputs.name` (string, required)
    Name of the output parameter

  - `outputs.value` (any, required)
    Flexible type that accepts any JSON value (string, number, boolean, object, or array)

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


